---
date: '2024-04-22T13:35-08:00'
title: 'Minimalism as self-preservation'
description: "I like to tell myself that I enjoy minimalism, that it's a preference and an aesthetic that I choose and pursue. I believe that's true, but I also believe that I've adopted it as an approach I take for self-preservation and a hedge towards always taking a conservative approach to, well, work, design — most things."
tags: ['tech', 'development', 'education']
---
I like to tell myself that I enjoy minimalism, that it's a preference and an aesthetic that I choose and pursue. I believe that's true, but I also believe that I've adopted it as an approach I take for self-preservation and a hedge towards always taking a conservative approach to, well, work, design — most things.<!-- excerpt -->

I took this approach when I chose a major in college. I didn't think I could handle the math required to pursue something like computer science, so I majored and business and economics. I've never used the degree.[^1]

[I will readily defer to folks I feel are more experienced than I am.](https://coryd.dev/posts/2023/on-imposter-syndrome/) I tend to be more collaborative as well since I'm always looking to learn from others. I tell myself I don't have an eye for design (I really don't think I do), so anything I build leans heavily on text and narrow color sets.

I'm typically reticent to speak up (especially in person) and am much more content to sit in the corner and read a book — so to speak. John Oliver did a bit recently where he characterized political figures' personalities as books, their preferred vacation as books — you get the idea — and yeah, that'd be me too.

I approach things this way so that there's less space exposed for failure. It allows me to approach things very incrementally, tweaking and changing things in iterative, small steps. I'll build a minimum viable version of something that I *know* works and iterate on it endlessly until it's grown to where I want it and I can trust it to continue working.

This yields slow progress, but it tends to be reliable. I avoid the risks and — perhaps — rewards that come with bigger leaps. <strong class="highlight-text">I'd much rather move slow and fix things than move faster and risk breaking things.</strong>

[^1]: Unless you count putting it on applications.
