---
date: 2024-05-10T11:20-08:00
title: "Against the commercial internet"
description: "It's been mind-boggling to watch the commercial internet accelerate in an ever more user-hostile direction over the last year and change. It's no longer about offering users a %22free%22 service in exchange for their data — companies now want everything."
tags:
  - tech
  - AI
  - 'social media'
---
It's been mind-boggling to watch the commercial internet accelerate in an ever more user-hostile direction over the last year and change. It's no longer about offering users a "free" service in exchange for their data — companies now want *everything*.<!-- excerpt -->

You get a service that's still "free" but is speed-running towards a position of becoming as hostile as possible right up to the line of pushing users to free. They'll take your data, they'll take your attention and you'll get something that you don't recall being anywhere near this awful when you joined. But you can't leave — everyone else is here and you've invested so much time and energy into it.

You'll get more ads, you'll get ever more onerous terms to agree to (that are entirely too verbose for you to read or understand). All that content you supplied to the platform? You gave up any claim of ownership to it ages ago. It's the platform's now. They don't need an agreement simply to show it to other users, they've got that but now they'll be shipping it off to their AI partners to try and please investors.

Don't worry though — you'll get access to a free chatbot. It'll be free much like the platform that you joined. The answers may not be right, but they'll sound right. You can go search and verify that they're correct — never mind that search is now clogged with AI-generated SEO bate pushed ever further down the page by AI-generated answers. Maybe those answers are helpful — go check. Still not sure? Well, at least you spent time on this page looking at our ads.

<strong class="highlight-text">We've gone from being ardently opposed to web scraping to centering the entire industry around it and claiming it's ok, it's a noble pursuit.</strong>

We're pursuing artificial general intelligence — it'll solve everything. Look at the industry's track record, right?

- They've solved all of our transportation woes — oh wait.
- They've revolutionized journalism — oh wait.
- They've lifted up musicians and solved all of their problems — oh wait.
- They've revolutionized and fixed TV and content production — oh wait.
- They've given everyone a platform for a healthy public discourse — oh wait.
- They've revolutionized work-life balance and flexibility with gig work — oh wait.
- They've revolutionized and decentralized the financial system — oh wait.
- They've created breakthrough medical technology — oh wait.
- They've revolutionized planning new cities and municipalities — oh wait.

Don't worry though, it'll all work out this time. Give us more money, give us more content, hang out on platforms that — objectively — frankly, suck and wait for nirvana.

Keep scrolling. Accept those cookies, sign up for the newsletter, turn off your adblocker and sign up for a subscription. Our website doesn't work without push notifications. We'll email you twice daily and make you call a number that's generally busy and wait 20 minutes so that we can argue with you about cancelling your subscription.

---

I don't have an explicit solution but I know — I know — everything on offer is bad and getting worse. <strong class="highlight-text">The commercial internet, in its current form, is one monolithic, shambling dark pattern.</strong>

What I'd urge you to do is to seek out healthier communities. Look for where the weird web is growing back around the edges. Keep in touch with friends outside of walled gardens and <strong class="highlight-text">don't engage with companies that are demonstrably hostile to you and your interests.</strong>

There are healthy parts of the internet out there — we need to make them more discoverable and continue to grow them, but they're there. [The indie web is a wonderful place](https://coryd.dev/posts/2024/an-indie-web-primer/) and [there *are* small businesses out there on the web worth supporting](https://coryd.dev/posts/2023/support-small-businesses-internet-ones-too/).

[We can build the web we want](https://coryd.dev/posts/2024/towards-a-quieter-friendlier-web/) but we should be increasingly wary of companies assuming that their commercial ambitions are infinite — <strong class="highlight-text">they'll end up trampling everyone in the rush to a profitable exit for their founders.</strong>