---
date: 2024-05-06T11:14-08:00
title: The tech industry doesn't deserve optimism it has earned skepticism
description: "Take a step back look around at the tech products you use, the industry and its impact on society more broadly and ask yourself: does its track record warrant optimism or have they earned a healthy degree of skepticism?"
tags:
  - tech
  - AI
  - 'social media'
featured: true
---
Take a step back look around at the tech products you use, the industry and its impact on society more broadly and ask yourself: does its track record warrant optimism or have they earned a healthy degree of skepticism?<!-- excerpt -->

The web started out premised on and promising open connection. It delivered on that early promise when it was in its nascent form but the commercialization of the web in the form of early gatekeepers rapidly closed that off.

We started with protocols and were then herded into platforms that offered convenience. When they grew large enough, that convenience gave way to captivity.

We were promised a mobile revolution and greater connectivity as the smartphone era took hold and companies — initially — delivered on that promise. Video calls became ubiquitous, social media platforms grew their reach and landed in our pockets, we were able to capture video and photos in an instant.

Those social media companies, again, offered convenience and an — as well know — to good to be true promise of free and open access. We closed our blogs, got in line and ceded control of our social graphs. Drawbridges were rolled up, ads increased and nobody left — at least not in droves. Everyone is there so everyone stays.

Journalists and newspapers were drawn in, promised an audience and were gifted with capricious intermediaries that destroyed the profession and industry.

We lost our handle on what is and was true, stopped having conversations and started yelling at their representations. It became easier to shout at someone on line than it was to have a healthier discourse.

They took jobs that once represented viable professions, routed them through apps, took away benefits and stability, steamrolled regulators, operated services at a loss and captured users. Now we're raising prices, but not to the benefit of anyone but the tech-enabled middlemen.

They moved TV and movies to the internet, promised a fair price and flexible access to broad content catalogs. Now we're consolidating, raising prices and content keeps disappearing.

They offered musicians easier distribution and larger audiences while users' curated music collections faded away. Now we're raising prices, slashing payouts to artists and treating music as more and more of an afterthought.

We traded local businesses for massive ecommerce retailers. Those retailers promised convenience and precision delivery — they provided that, but at the cost of backbreaking labor and precarious employment for delivery drivers.

They promised an electric vehicle and transportation revolution. We delivered premium electric vehicles, grew with the help of subsidies, scrapped plans for affordable vehicles and kept over-promising while conveniently moving the goal posts.

They promised decentralized finance, ignored the energy and environmental costs, re-opened fossil-fueled power plants and failed to deliver much more than a series of high profile scandals and regulatory interventions. Instead of a new medium of exchange, we got volatile speculation and grift.

Now they're promising AI and ignoring yet more collateral damage. We're throwing piles of cache at GPUs, hardware and data centers. We're using increasingly large volumes of water. We're asserting the right to any and all data we can access. All of this while we're providing minimal productivity increases or value at scale.

The tech industry has made a lot of problems, it's delivered for company owners and shareholders but, as with so many things, they often externalize and downplay the harms. They call for more optimism and will gladly push a shiny new toy, app, nonsensical vision for a privatized utopia — you name it — but what they deliver, in reality, is very far removed from that vision. <strong class="highlight-text">They aren't entitled to optimism — they've earned skepticism.</strong>