---
date: '2024-02-27'
title: 'Towards a quieter, friendlier web'
description: "I love the internet, I grew up on it and (probably) spend too much time on it. I found the music I love on it, I've made friends on it, I went to school for business but built a career on the web instead. I often have a hard time reconciling where the web is now with what it was like when I first dove into it."
tags: ['tech', 'social media', 'privacy', 'AI']
featured: true
---
I *love* the internet, I grew up on it and (probably) spend too much time on it. [I found the music I love on it](https://coryd.dev/posts/2024/i-found-the-music-i-love-on-the-internet/), I've made friends on it, I went to school for business but built a career on the web instead. I often have a hard time reconciling where the web is now with what it was like when I first dove into it.<!-- excerpt -->

It's been heartening to see the growth in personal websites, blogrolls, feeds and sharing, much as it has been to see decentralized networks like [Mastodon](https://joinmastodon.org/) and [Pixelfed](https://pixelfed.org/) flourishing on their own terms[^1]. Sometimes it's rocky, but that's fine. It's all reminded me of some principles I try to adhere to when interacting and navigating online.

**You can, and should, choose to be kind.** Empathy is paramount and extending grace to whoever it is you're talking to can only help[^2].

**You aren't obligated to reply or participate in *any* discussion.** Don't feel bad about not engaging if it doesn't serve you. Arguing on the internet is rarely healthy, dialogue and discussion certainly can be.

**Share what you enjoy or what you're curious about.** Not everyone will enjoy of it, some people will appreciate different things, but build friendships on mutual interests. **Don't be afraid to say you don't know something. Being forthright and asking for help is an admirable quality.**

**Be wary of anything offered for free online by any commercial entity.** It will, at a minimum, cost you data and your privacy. If it's not profitable, it may not become profitable and you'll find yourself in the position of something you depend on disappearing or getting acquired (and then disappearing). If it's something that's free and, initially, open it will not remain that way — it'll draw in users and raise the drawbridge.

**If an algorithm has been developed and implemented by a commercial entity, it will serve that entity's needs, not yours.**

**If a feed is designed to scroll forever, it won't be healthy to engage with over the long term.**

**[Block ads everywhere you can.](https://coryd.dev/posts/2023/i-block-ads/)** Monetization can be difficult, but modern online advertising is invasive, pervasive and hostile to users. If platforms are unwilling to respect your attention and agency, then they are not owed and should not be afforded your respect.

**Anything pitched to you that involves cryptocurrency is a scam.** Absolutes are best avoided, but [there's more evidence than we'll ever need.](https://www.web3isgoinggreat.com/)

**[Don't implicitly trust anything generated by AI.](https://coryd.dev/posts/2024/i-dont-want-anything-your-ai-generates/)** It can hallucinate and can often be outright wrong.

**If you're not enjoying something anymore, set it down and walk away.** It could be a community, a book or any other media. If you're not enjoying it, drop it and move on. Your time is too precious to worry about sunk costs.

**Let people enjoy things.** If you don't care about it, mute it or scroll past it. If it means something to them and there are no broader externalities or harms to cause concern[^3], let them do their thing.

**If you're writing something, aim for it to be something you would want to read.** Writing is often more interesting when it's impassioned. **When writing about something technical, being able to successfully explain and communicate it to an audience is a good way to confirm that you understand it.** Write for yourself — don't seek an audience. If you attract one, it shouldn't change what you've been doing.

A reminder: **the things that are most insistent about gaining your attention are often the things least deserving of it.**

Small projects that grow to become businesses on the web can be great. Grow slowly and grow by continuing to provide value to your users. Exponential growth in profit is not worth taking value back from and exploiting your users. **Achieving sustainability is admirable, greed is not.**

**Consider paying a reasonable sum for services you rely on.** Small enterprises that rely on income from their customers are more likely to have interests aligned with their customers.

**Log off and read a book.** There are lots of them and it's a fantastic way to slow down.

Be kind, be honest and engage on your own terms. Walk away from anything that doesn't serve you and don't be afraid to craft a browsing experience that best suits you. A healthier web is one that's slower, friendly and serves you. Eschew things that make demands of you, insist or impose upon your time and attention.

[^1]: I know BlueSky is decentralized but I'm wary of its choosing not to adopt ActivityPub and the commercial nature of the enterprise given the ample examples we have of the lifecycle followed by commercial social networks.
[^2]: [There are exceptions to everything](https://www.youtube.com/watch?v=iyc62g7YQM0), but hold to this.
[^3]: If there are, consider what you'll say and engage thoughtfully and kindly.