---
date: '2024-05-01T11:15-08:00'
title: 'What song is in your head?'
description: "I saw this carved into a table in Austin once and it — like many songs — has been stuck in my head ever since. I'll get hooked on a song and circle back to that roughly carved message."
tags: ['music']
---
I saw this carved into a table in Austin once and it — like many songs — has been stuck in my head ever since. I'll get hooked on a song and circle back to that roughly carved message.<!-- excerpt -->

<img src="https://coryd.dev/.netlify/images/?url=https://coryd.dev/media/blog/what-song.png&fm=webp&q=75&w=1000" alt="What song is in your head?" class="image-banner" loading="eager" decoding="async" width="1000" height="333" />

I've had songs and albums stuck in my head dating back to my childhood, primarily tracks from [*The Traveling Wilburys Vol. 1*](https://en.wikipedia.org/wiki/Traveling_Wilburys_Vol._1) — Tweeter and the Monkey Man, Handle With Care — they all take turns getting stuck in my head.

It's not just songs that are written to be catchy that settle in with me. Sure, I love acts like Joyce Manor that can write hook after hook — their albums are done in 20 minutes and yet never leave.

{% render "partials/widgets/youtube-player.liquid", url:"https://www.youtube.com/watch?v=5D7s5glNk8k" %}

<strong class="highlight-text">A well written song doesn't wear on me, it leaves me wanting to circle back.</strong> I almost always listen to full albums, but I love sitting down, scrolling through my collection aimlessly and throwing on my favorites. They're hard to find and they're hard to, well, let go.

{% render "partials/widgets/youtube-player.liquid", url:"https://www.youtube.com/watch?v=h62vHfHFUtU" %}

---

**[Harvard Health:](https://www.health.harvard.edu/blog/why-you-cant-get-a-song-out-of-your-head-and-what-to-do-about-it-2017100412490)**
> …each time music repeats, you hear something subtly different. This learning may constitute one of the positive aspects of earworms. Also, earworms are a form of spontaneous mental activity, and mind-wandering states confer various advantages to the brain, contributing to clear thinking and creativity.

Some of this is nostalgia, some of it's the structure of the song, oftentimes it's both.

I listen to a lot of objectively abrasive music, with unintelligible vocals, vocals that serve as a rhythmic device and yet I'll still find song structures, guitar riffs, drum lines or a particular dynamic that ends a track looping through my mind. Sometimes it's the visceral rage and over the top theatricality of an act like [Behemoth](https://en.wikipedia.org/wiki/Behemoth_%28band%29).

If it's a [Miles Davis](https://en.wikipedia.org/wiki/Miles_Davis) tune I'll find myself stuck on a trumpet riff, if it's [Godspeed You! Black Emperor](https://en.wikipedia.org/wiki/Godspeed_You!_Black_Emperor), I find I often get hung up on sampled dialogue they've used to set the stage for a track — the dynamics are key, [the dialogue draws me in](https://www.youtube.com/watch?v=VGKc3T7OVHE). I love the journey every Tom Waits album takes you on, the progression of his voice aging, the emotional heft of tracks like [Come on Up to the House](https://en.wikipedia.org/wiki/Come_On_Up_to_the_House) or the stripped down emotional clarity of Daniel Johnston's [Devil Town](https://www.youtube.com/watch?v=iFivJr41y4s).

{% render "partials/widgets/youtube-player.liquid", url:"https://www.youtube.com/watch?v=MOJOjXbNHLs" %}

It's not simply that a track is catchy, it's that it resonates and then it doesn't leave. I've had Baby Shark stuck in my head — our daughter found *Coloring Book* by [Chance the Rapper](https://en.wikipedia.org/wiki/Chance_the_Rapper) comforting and often fell asleep to it (I still can't listen to it all these years later)[^1]. You can still turn around and throw on a Violent Femmes tune as a palette cleanser.

{% render "partials/widgets/youtube-player.liquid", url:"https://www.youtube.com/watch?v=Ra8VTlXVqUQ" %}

I love it when a good track gets stuck in my head but, sometimes, the boys are back in town or try as you might, in the end, it doesn't even matter.

<strong class="highlight-text">What song is in your head?</strong>

[^1]: Maybe it's not just me if he's already hosting *The Voice*.