---
date: '2024-04-22T14:44-08:00'
title: 'Data ownership and agency'
description: "I've been shuffling more of the data I display and present on my site around recently and I've been thinking about the agency or lack thereof associated with that data."
tags: ['tech', 'AI', 'privacy', 'social media']
---
I've been shuffling more of the data I display and present on my site around recently and I've been thinking about the agency or lack thereof associated with that data.<!-- excerpt -->

[I've moved my music data into my own storage and generated my own primitive charts](https://coryd.dev/posts/2024/building-a-scrobbler-using-plex-webhooks-edge-functions-and-blob-storage/).[^1] I've moved my reading data into [a dedicated books page](https://coryd.dev/books/) with my own — ever growing — [reading list](https://coryd.dev/books/want-to-read/).[^2] [I moved links I've shared into more stable, fixed markdown files.](https://github.com/cdransf/coryd.dev/tree/c23f49d6f880748ab39620fdd707ec04875f0707/src/links) Everything I've written sits on this site.

I control that data[^3], it sits on infrastructure I manage, it's in a format I understand and I get the responsibility (or fun — let's go with that) of presenting it. I get agency and that agency is accompanied by the burden of maintenance, presentation and action. Convenience in exchange for control.

I'm happy with this bargain and, while this might be ambitious, I'd like to move more data into spaces I control. [I also want to be very careful with how I approach this.](https://coryd.dev/posts/2024/2024-minimalism-as-self-preservation/) Perhaps my TV and movie watching habits will be next but the metadata that comes with owning and presenting that seems even more daunting than music.[^4]

Doing this isn't as approachable as it should be — making it approachable is something we should all be working towards.

---

The flip side of this is minimizing data that you share — <strong class="highlight-text">an ever more daunting prospect in the face of a technology industry that's repositioned itself as an inescapable data vacuum that's yielded a haunting internet-scale sucking sound and experience.</strong>

Data brokers shouldn't exist. Full stop.

Social graphs and posts are held hostage on increasingly irrelevant platforms.

Did you want more ads? Here, have more ads. Take a chatbot too and then, maybe — if we're lucky — ads in the chatbot.

The baseline approach to the internet at this point should be that the companies that populate it are user hostile and they'll demand of you both your time and attention. You *should* [block whatever ads you can](https://coryd.dev/posts/2023/i-block-ads/), you *should* delete accounts you don't anymore, use websites when the app is functionally the same or similar[^5] and you *should* be hesitant to sign up for new services unless you need to. [Block crawlers where you can](https://github.com/ai-robots-txt/ai.robots.txt) but expect bad faith from companies [claiming a right to anything they can access](https://coryd.dev/posts/2024/access-to-data-isnt-a-grant-to-exploit-it/).

---

Put your guard up, cede less and [work towards a better web](https://coryd.dev/posts/2024/towards-a-quieter-friendlier-web/).

{% render "partials/banners/github.liquid", url: 'https://github.com/ai-robots-txt/ai.robots.txt' %}

[^1]: I send data to ListenBrainz and Last.fm but Last.fm's ownership, age and general state of maintenance or lack thereof makes me nervous.
[^2]: I'm not going to trust GoodReads — I'll reference it. The data itself is simple enough to stored.
[^3]: Ok — I don't own the hardware, but I'm going to avoid that rabbit hole for the sake of getting my thoughts out here.
[^4]: Or perhaps I'm simply more familiar with music metadata.
[^5]: Nothing like a website repackaged with more telemetry and push notifications.