---
date: '2024-03-26T09:15-08:00'
title: 'We have a content quality problem, not a content quantity problem'
description: 'Are you short on things to read? Things to watch? Things to listen to? Things to scroll through? Me neither.'
tags: ['tech', 'AI', 'music']
featured: true
---
Are you short on things to read? Things to watch? Things to listen to? Things to scroll through? Me neither.<!-- excerpt -->

We've hopped on past the golden age of TV, we're renting our music back from tech companies and social media is (with, perhaps, the exception of the first few years) on ever-flowing river of garbage. We have limitless options, such as they are. *Everyone* has a streaming service and *every* piece of intellectual property ever shall be converted into a franchise until the ROI on the most recent entry reaches zero.

We've left behind scattered ruins of journalistic institutions, studios and artists and here we are with endless content options. <strong class="highlight-text">The river of content sludge won't stop, because the folks responsible for generating it are too busy looking at their balance sheets to notice that folks are drowning in it.</strong>

In the interest of demonstrating endless growth forever, we're going to get more and more content — quality be damned. [To facilitate this at scale, we've got AI](https://coryd.dev/posts/2024/i-dont-want-anything-your-ai-generates/). Streaming platforms are already paying small artists less, we're heading towards a future where they'll look to leverage AI generated content and pay *all* artists less (if at all). [We'll get junk content mined from legacy artists we hold close](https://www.nytimes.com/2024/03/18/opinion/private-equity-music-spotify.html). Never got to see your favorite band? [Why not pay to go see a hologram exploit their legacy?](https://www.theguardian.com/music/2024/jan/04/ai-elvis-not-the-first-hologram-star-to-shake-his-moves-on-stage) Of course it's craven and ghoulish, but someone's making money.

Remember that one cartoon growing up that you loved and can almost remember the name of but can' quite recall it? Wait a little bit and someone, somewhere, will haul it out of a vault, turn AI loose on it and ruin that memory by mining every last drop of value out of it, throwing it in the trash and moving on.

How many franchises do we have that are already diluted and heading towards unwatchable? It's a shame to see, but we're marching towards a whole host of cultural touchstones that were once prized  becoming cringeworthy.

---

I suppose, the counter-argument to this is that this all represents more choices, more options, more niche content and lowering barriers to entries to a new class of creatives. I'll concede that, in some cases, this may well be true. Perhaps drum machines improve, small barriers are lowered. My fear is that, in pursuit of scale, those minor and beneficial uses will be vastly outweighed by the quest for ever more scale.

We won't support smaller artists — we'll throw some novel tools at them and go on devaluing them. We'll lower barriers to entry for “creative” work but how creative is stitching something together with a few different models? It'll end up being less tooling, less signal and more noise.

---

We're discarding quality in pursuit of scale. I know this sounds like gatekeeping, like I preferred the past model and, well, it too was deeply flawed in many respects. There is still compelling writing, art, movies and music being made and the tools used to do so will evolve. We're putting ever more weight on producing and creating *more* with little thought given to quality. It's easy to play on nostalgia and churn out ever more sludge. Who's excited for the next super hero movie? Want one about your favorite video game? How about 12?

We can't use algorithms to filter for quality because they're not designed to. They're designed to steer you towards whatever's most profitable for their creators.

That puts the onus on us, as users, to filter out the noise and that is increasingly difficult. I have old movies to watch and a narrow set of new ones I'm interested in. The same is true of shows. There are more books than I can ever hope to read and I'm always careful to pick what I become invested in.

I have 490 artists in my music library and 2660 albums from them. Discounting the artists among that number that are no longer producing music, that's still a lot to follow. I take and explore recommendations sparingly.

I remain committed to dropping shows, books — you name it — that lose my interest. If you're no longer enjoying something, set it aside and move on. You're under no obligation to see it through and you're better served saving the time.

<strong class="highlight-text">I'm more and more concerned that we're heading to a place that will make it ever more difficult to find anything that's actually worth our time.</strong>